# NEMO BENCH COMPILATION

## Compilation steps

To compile the model is as simple a call the makenemo script with the desired 
parameters. You need to set the configuration name (`-n`) and the arch (`-m`).

````
source scripts/env-intel-mpi.sh

./makenemo -n <CONFIGURATION NAME> -m <ARCH> -a BENCH -j 20 -d "OCE ICE" add_key 'bld::tool::fppkeys key_si3 key_qco' del_key 'key_vco_1d3d key_top key_RK3 key_xios'
````

## Execute the model

When the compilation finishes, under `tests/<CONFIGURATION NAME>/EXP00` you will
find the nemo binary to execute the model alongside with some pre-defined namelists
for several ORCA resolutions.

You need to softlink (or copy or rename) the desired resolution to namelist_cfg after launching
with the mpi runtime of your machine the nemo binary nemo.



